﻿@using MIMS.Portal.Core.Domains;
@using MIMS.Portal.ViewModels;
@using MIMS.Portal.Commons.Extensions;

@model IEnumerable<MIMS.Portal.ViewModels.TicketViewModel>
@{
    ViewData["PageTitle"] = "درخواست های پشتیبانی";
}


<div class="card">
    <div class="card-header">
        <h4>
            درخواست های پشتیبانی
        </h4>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="table-responsive">
                <table class="table table-hover header-border text-nowrap">
                    <thead>
                        <tr>
                            <th>@Html.DisplayNameFor(model => model.Subject)</th>
                            <th>@Html.DisplayNameFor(model => model.SenderUserFullName)</th>
                            <th>@Html.DisplayNameFor(model => model.Status)</th>
                            <th>@Html.DisplayNameFor(model => model.SubmitDate)</th>
                            <th class="no-sort"><em class="fa fa-cog"></em></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var item in Model)
                        {
                        <tr>
                            <td>@item.Subject</td>
                            <td>@item.SenderUserFullName</td>
                            <td>@Html.DisplayFor(modelItem => item.Status)</td>
                            <td>@item.SubmitDate</td>
                            <td align="center">
                                <a asp-action="Details" asp-controller="Tickets" asp-route-id="@item.Id" class="btn btn-default" data-toggle="tooltip" title="جزئیات"><i class="fa fa-fw fa-eye"></i></a>
                            </td>
                        </tr>
                        }
                    </tbody>
                </table>
            </div>

        </div>
    </div>
    <div class="card-footer">
        <small>
            آخرین بروز رسانی لحظاتی پیش
        </small>
    </div>
</div>




